World Resourcepacks 1.8.2

Easily set server resource packs per world or your whole server!

  1. 1.8.2 - Per-version pack variants

    Phoenix616
    • Added 1.16.x support and pack format 6
    • Added ability to define protocol/Minecraft version directly for a pack instead of just the format
    • Added ability to define multiple variants of a pack to simplify defining different packs per version or permission
    • Improved the return message of /usepack in case of an error
    • Fix MineDown not working
    • Fix...
  2. 1.7 - Setup commands and support up to 1.15.x

    Phoenix616
    • Includes support up to 1.15.x
    • Adds new sub commands to add and manage packs as well as assignments to /wrp and /brp respectively. (addpack <name> <url>, pack <pack> [url|hash|format|restricted|permission], listassignments, deleteassignment <assignment>, assignment <assignment>, globalassignment)
    • Add /resetpack command to send the empty pack
    • Add MineDown support
    • Add multi language support. All messages...
    Nightshade73 and TheoRetisch like this.
  3. About the client freeze when sending a pack

    Phoenix616
    I have been getting numerous reports about issues while sending a resource pack to the client regarding a client freeze and how I could or should fix it so here is some info about it and the explanation why I cannot do anything about that from the server/plugin side:

    When a server resource pack is send to a client it will shortly freeze after the download is complete. (Same as manually applying a local pack) This happens because the client has to reload all resources, check which resources...
    NomadMC, SlimeDog and Killer123451 like this.
  4. 1.6.13 - 1.12 Update & Fixes

    Phoenix616
    • Update to 1.12
    • Fix issues when clearing pack on backend server
    • Added send-delay config option
    • Added bstats metrics
    • Fix some issues with older Bukkit versions
    • Fix a bug with the /usepack command
    NomadMC likes this.
  5. 1.6.12 - Fix ViaVersion API access

    Phoenix616
    • Fix access of the ViaVersion API
    BrettPlayMC likes this.
  6. 1.6.11 - 1.11 Update

    Phoenix616
    • 1.11 Update
    • Support for pack format 3
    • Requires ViaVersion 1.0.0 or higher if you want support for different pack formats!
    SlimeDog and BrettPlayMC like this.
  7. 1.6.10 - A lot of stuff fixed

    Phoenix616
    • Plugin now requires at least Java 8!
    • 1.10 Support!
    • Add ability to use all log levels in debug config variable, OFF completely disables debug logging
    • Make hashes supported under Bukkit
    • Fix /usepack resending the same pack the user already had
    • Automatically generate resource pack file hashes
    • Add [FONT=Courier...[/LIST]
    BrettPlayMC likes this.
  8. 1.6.2 - Really fix secondary packs

    Phoenix616
    • Really fix the secondary pack resolving which wasn't quite right when no main pack was defined.
    • Added MetricsLite, if you don't want that you can opt-out in the PluginMetrics/config.yml
  9. 1.6.1 - 1.9.4 Update, secondary resolving fixed

    Phoenix616
    • Updated to support 1.9.4
    • Fixed wrong resolving of secondary packs
    • Fixed issue while getting the server version in some cases
    If you want to support me, I now have a patreon with some rewards that might interest you ;)
    [​IMG]
  10. 1.6.0 - Pack formats, permissions and AuthMe

    Phoenix616
    • Added an option to set the format of the pack as 1.9 introduced a new one with the version 2.
      Players with 1.8 will get packs with version 1/no version and players that connect with 1.9 get version 2 if available.
      The defined pack and then the secondary list is used to resolve which pack a player gets from the top to bottom. To resolve the player's version you need to have ViaVersion installed!
    • Added option to...